-- ----------------------------- --
--                               --
--  Elkano's bags_and_merchants  --
--                               --
--          version 1.0          --
--                               --
-- ----------------------------- --

local bags_and_merchants_original_MerchantFrame_OnShow = MerchantFrame_OnShow;
local bags_and_merchants_original_MerchantFrame_OnHide = MerchantFrame_OnHide;

local bags_and_merchants_original_OpenBackpack;
local bags_and_merchants_original_CloseBackpack;

function bags_and_merchants_OnLoad()
	if( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage("Elkano's bags_and_merchants AddOn v1.0 loaded");
	end
end

function bags_and_merchants_OpenBackpack()
	for bagid=0,NUM_BAG_FRAMES,1 do
		OpenBag(bagid);
	end
end

function bags_and_merchants_CloseBackpack()
	for bagid=0,NUM_BAG_FRAMES,1 do
		CloseBag(bagid);
	end
end

function MerchantFrame_OnShow()
	bags_and_merchants_original_OpenBackpack = OpenBackpack;
	OpenBackpack = bags_and_merchants_OpenBackpack;
	bags_and_merchants_original_MerchantFrame_OnShow();
	OpenBackpack = bags_and_merchants_original_OpenBackpack;
end

function MerchantFrame_OnHide()
	bags_and_merchants_original_CloseBackpack = CloseBackpack;
	CloseBackpack = bags_and_merchants_CloseBackpack;
	bags_and_merchants_original_MerchantFrame_OnHide();
	CloseBackpack = bags_and_merchants_original_CloseBackpack;
end